<?php

final class PhabricatorSettingsApplication extends PhabricatorApplication {

  public function getBaseURI() {
    return '/settings/';
  }

  public function getName() {
    return pht('Settings');
  }

  public function getShortDescription() {
    return pht('User Preferences');
  }

  public function getIcon() {
    return 'fa-wrench';
  }

  public function canUninstall() {
    return false;
  }

  public function isLaunchable() {
    return false;
  }

  public function getRoutes() {
    return array(
      '/settings/' => array(
        '(?:(?P<id>\d+)/)?'.
          '(?:panel/(?P<pageKey>(?P<key>[^/]+))/'.
            '(?:(?P<formSaved>saved)/)?'.
          ')?'
          => 'PhabricatorSettingsMainController',
        'adjust/' => 'PhabricatorSettingsAdjustController',
        'timezone/(?P<offset>[^/]+)/'
          => 'PhabricatorSettingsTimezoneController',
      ),
    );
  }

  public function getApplicationGroup() {
    return self::GROUP_UTILITIES;
  }

}
